
Core - Bug # 53662

Status: Resolved Priority: Should have
Author: Alexander Stehlik Category: DataHandler aka TCEmain
Created: 2013-11-15 Assigned To:
Updated: 2014-01-04 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity: no-brainer
Is Regression: No
Sprint Focus:
Subject: DatabaseConnection INSERTquery does not allow NULL values
Description

When you create a new record that has input fields with the new evalNULL setting the value is set correctly to NULL in the 
DataHandler but it is inserted as an empty string in the database.

The reason for this is, that the INSERTQuery() method in the DatabaseConnection class does not supply the $allowNull parameter to
the fullQuoteArray() method. The UPDATEquery() method already does this so this can also be enabled for INSERTQuery().

Related issues:
related to Core - Feature # 41773: Add possibility to store NULL values Resolved 2012-10-09
related to Core - Bug # 54917: Debug "Column 'first' cannot be null" Resolved 2014-01-12
related to Core - Bug # 54849: Functional tests cannot write to backend log Resolved 2014-01-08
related to Core - Bug # 55989: Debug "Column 'cookie' cannot be null" Resolved 2014-02-14
related to Core - Bug # 54412: Improve default value handling for NULL value ... Resolved 2013-12-14
related to Core - Bug # 63991: FAL override checkboxes are always active, whe... Resolved 2014-12-19

Associated revisions
Revision 8207a2bb - 2014-01-04 15:36 - Alexander Stehlik

[BUGFIX] Allow NULL values in INSERT queries

Currently only UPDATE queries pass the $allowNull parameter to the
fullQuoteStr() method in the DatabaseHandler. To make the behavior of
both methods consistent and to allow NULL values during creation of
new records by TCEmain the $allowNull parameter is also set to TRUE for
INSERT queries.

Resolves: #53662
Releases: 6.2, 6.1, 6.0
Change-Id: I066b9880a557b6c9058fc15f467631f1313300f9
Reviewed-on: https://review.typo3.org/25422
Reviewed-by: Philipp Gampe
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Xavier Perseguers
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision 81a30e8a - 2014-01-04 17:36 - Alexander Stehlik
[BUGFIX] Allow NULL values in INSERT queries

Currently only UPDATE queries pass the $allowNull parameter to the
fullQuoteStr() method in the DatabaseHandler. To make the behavior of
both methods consistent and to allow NULL values during creation of
new records by TCEmain the $allowNull parameter is also set to TRUE for
INSERT queries.

Resolves: #53662
Releases: 6.2, 6.1, 6.0
Change-Id: I066b9880a557b6c9058fc15f467631f1313300f9
Reviewed-on: https://review.typo3.org/26638
Reviewed-by: Markus Klein
Tested-by: Markus Klein

Revision 2c40d1b1 - 2014-01-04 17:40 - Alexander Stehlik

[BUGFIX] Allow NULL values in INSERT queries

Currently only UPDATE queries pass the $allowNull parameter to the
fullQuoteStr() method in the DatabaseHandler. To make the behavior of
both methods consistent and to allow NULL values during creation of
new records by TCEmain the $allowNull parameter is also set to TRUE for
INSERT queries.

Resolves: #53662
Releases: 6.2, 6.1, 6.0
Change-Id: I066b9880a557b6c9058fc15f467631f1313300f9
Reviewed-on: https://review.typo3.org/26644
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History
#1 - 2013-11-15 14:06 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/25422

#2 - 2013-11-15 14:10 - Markus Klein

Indeed a forgotten thing.

#3 - 2014-01-04 15:37 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26638
#4 - 2014-01-04 15:38 - Steffen Ritter

POST merge review done; OK

#5 - 2014-01-04 16:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8207a2bb3ffa3b0dbdac402955487ab4decab9d7.

#6 - 2014-01-04 17:19 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/26644

#7 - 2014-01-04 18:30 - Alexander Stehlik
- Status changed from Under Review to Resolved

Applied in changeset commit:2c40d1b1621c0bb50da301bab82de98279ff250b.
